Активиране на webhook за приключена беседа
curl --request POST \
--url https://call.aiployees.com/api/user/assistants/enable-conversation-ended-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123,
"webhook_url": "<string>"
}
'import requests
url = "https://call.aiployees.com/api/user/assistants/enable-conversation-ended-webhook"
payload = {
"assistant_id": 123,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123, webhook_url: '<string>'})
};
fetch('https://call.aiployees.com/api/user/assistants/enable-conversation-ended-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Conversation ended webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
Асистенти
Активиране на webhook за приключена беседа
Активиране на webhook уведомления когато чат беседа приключи
POST
/
user
/
assistants
/
enable-conversation-ended-webhook
Активиране на webhook за приключена беседа
Този endpoint активира webhook уведомления за приключена беседа за асистент, позволявайки ви да получавате актуализации в реално време когато чат беседа (WhatsApp или Web Widget) приключи. Webhook-ът включва пълната транскрипция, извлечените променливи и информация за клиента.
Тяло на заявката
integer
required
ID-то на асистента за който да се активира webhook-ът за приключена беседа
string
required
URL-то където ще се изпращат webhook уведомленията когато беседа приключи
Отговор
string
Съобщение за успех потвърждаващо че webhook-ът е активиран
array
Празен масив (запазен за бъдеща употреба)
Грешни отговори
Show Отговор за грешка
Show Отговор за грешка
string
Съобщение за грешка когато асистентът не е намерен или не принадлежи на автентикирания потребител
{
"message": "Conversation ended webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
⌘I

